View Issue Details

IDProjectCategoryView StatusLast Update
05740Development Import/Exportpublic2015-08-21 15:51
Reporteruser16048Assigned ToDenisChenu  
PrioritynormalSeverityminor 
Status closedResolutionfixed 
Product Version 
Target Version2.05Fixed in Version2.05 
Summary05740: Improve VV response import
Description

If I try to import a vv file to get the responses back into a survey it seems to work (there is no error message) but if I have a look at the responses table then no answers are being imported.

I tested this with two other surveys and it is also the same problem there.

Steps To Reproduce
  • Import survey 42385
  • Start survey
  • Go to Responses and statistics
  • Import vv file 42385
Additional Information

Attachments:

  • limesurvey_survey_42385.lss : The survey the problem occured
  • vvexport_42385.csv : The vvexport file from LimeSurvey 1.91+ build 12170
  • LimeSurveyMissingResponses: A Screenshot showing there are no responses in responses view
TagsNo tags attached.

Relationships

related to 07761 closedc_schmitz Bug reports Importing answer doesn't import correct status (complet/incomplet) 

Activities

user16048

2012-02-01 15:43

 

limesurvey_survey_42385.lss (58,067 bytes)

user16048

2012-02-01 15:43

 

vvexport_42385.csv (2,406 bytes)

user16048

2012-02-01 15:44

 

DenisChenu

DenisChenu

2012-02-02 02:11

developer   ~17156

Hello,

CAn you have a look too : http://www.limesurvey.org/forum/development/73528-vv-import-blank-responses?lang=fr#73532

:)

user16048

2012-02-02 09:00

  ~17158

Yes, it works this way. But I think it's strange that you don't even get a warning if you try to import a vv file and there is no matching group and question in it. People might think everything is okay because there is no warning or error message.

It would also be nice if there is a way to automaticly do this change. I think people will complain if they have to edit all their vv files in order to match the correct group and question. Perhaps there is a better way doing this, e.g. check if the number of groups and questions matches, then try to import it and skip entries with errors.

Mazi

Mazi

2012-02-02 13:02

partner   ~17169

Carsten, I think this is a very useful feature, but the way it currently works is not user friendly and hard to dealm with for the common user.
I suggest to:

  1. For 1.92 show at least a meaningful warning and maybe point the user to instructions here (http://docs.limesurvey.org/tiki-index.php?page=Exporting+results&no_bl=y#Adjusting_vv_file_headings) or even add some step by step instructions on screen.

  2. For 2.0 we should think about using the "attribute mapping" feature of CPDB which deals with a similar problem. We can try to do an automatic mapping using the question/answer texts and also include the already available feature to move items by drag and drop if something is wrong.
    So at first just show a list like
    survey A | survey B
    12345X1X5 | 54321X3X9
    12345X1X6 | 54321X3X10
    ...

(Instead of showing SGQA codes we should use question/answer texts).

What do you think?

mfaber

mfaber

2012-12-11 16:52

reporter   ~23149

Why not match on the variable names instead of the randomly changing SGQA-codes?

That would also solve my problem with using the same survey on different machines and collecting/importing the different VV-files on one "master-machine" into one central database containing all the interviews.

So happy if this would work without having to manually change the first two lines in every VV-file to import!

c_schmitz

c_schmitz

2013-03-05 16:48

administrator   ~24557

mfaber,that's an excellent idea. Matching by code is the best option, imho.

DenisChenu

DenisChenu

2013-03-05 17:24

developer   ~24558

But,

If same code are used twice, then we can't use code. Then:

  • 1st : test if there are EM error
    -- If yes: export with SGQA
    -- If not export with code

When importing, thing we can use some EM function.

c_schmitz

c_schmitz

2013-03-06 09:32

administrator   ~24563

Well in general the rule is that we do not use a code twice - in 2.0 there is only a warning if a code is used twice. In 2.05 we can also start enforcing it.

DenisChenu

DenisChenu

2013-03-06 11:19

developer   ~24566

Last edited: 2013-03-06 11:20

View 2 revisions

Maybe,

But what for old survey updated from 1.90,1.91 ... etc .

No rules for same code in 1.91 and less.

Did we break completely vvexport ?

I'm not sure vvexport are used a lot but : who know ;) .

EDIT:
Take this one.

c_schmitz

c_schmitz

2013-05-28 09:29

administrator   ~25400

Denis, can you start working on this for 2.05, please?

DenisChenu

DenisChenu

2013-05-28 12:51

developer   ~25402

Think i can start(re-start) on friday.

mfaber

mfaber

2013-06-04 15:34

reporter   ~25463

If you need any beta testing...i am happy to pull from git and give it a try.
M

DenisChenu

DenisChenu

2013-06-04 15:37

developer   ~25464

I have the export, and partial import. But need more adpatation. SUrely end of this week in 2.05 GIT version (maybe tomorrow).

But actual system have problem with existing id too.

mfaber

mfaber

2013-06-04 16:14

reporter   ~25466

thanks! if I don't hear from you I'll try to test and give you feedback this weekend.

DenisChenu

DenisChenu

2013-06-04 16:15

developer   ~25467

If i don't put information here : then it must be a "lack of time to work on it" .

DenisChenu

DenisChenu

2013-06-09 19:18

developer   ~25494

Reworked completely system.
All csv can be used. Need more control on file validity but tested

DenisChenu

DenisChenu

2013-06-09 19:25

developer   ~25495

Fix committed to 2.05 branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=12559

DenisChenu

DenisChenu

2013-06-10 11:46

developer   ~25496

Last edited: 2013-06-10 11:47

View 2 revisions

Fix some bug in some condition
Fix export with dualscale
Add some control for exporting to vv version 2

Can be tested with: https://github.com/LimeSurvey/LimeSurvey/archive/2.05.zip

Related Changesets

LimeSurvey: 2.05 8ed8bfb0

2013-06-09 17:12:59

DenisChenu

Details Diff
New feature 05740: Improve VV response import
Dev: new feature can be use to import file with EMcode in header
Dev: need some control more at import (column number etc ..)
Dev: VV version 1 can be exported
Dev: fixed some JS issue in browse
Affected Issues
05740
mod - application/controllers/admin/conditionsaction.php Diff File
mod - application/controllers/admin/dataentry.php Diff File
mod - application/controllers/admin/export.php Diff File
mod - application/controllers/admin/tokens.php Diff File
mod - application/helpers/admin/import_helper.php Diff File
mod - application/helpers/common_helper.php Diff File
mod - application/helpers/expressions/em_manager_helper.php Diff File
mod - application/helpers/viewHelper.php Diff File
mod - application/views/admin/dataentry/vvimport.php Diff File
add - application/views/admin/dataentry/vvimport_result.php Diff File
mod - application/views/admin/export/vv_view.php Diff File
mod - application/views/admin/participants/importCSV_view.php Diff File
mod - scripts/admin/browse.js Diff File

LimeSurvey: 2.05 d1113091

2013-06-09 17:21:42

DenisChenu

Details Diff
Dev: some child fix 05740 child Affected Issues
05740
mod - application/helpers/admin/import_helper.php Diff File

LimeSurvey: 2.05 ba085731

2013-06-10 09:17:12

DenisChenu

Details Diff
Dev: Some optimization on new feature 05740
New feature : Aallow to use first line for header in vvimport
Dev: Add some css for success/error/warning
Dev: fix some part in vvimport ( {cr}{nl} ...)
Dev: fix some issue with debug=2
Affected Issues
05740
mod - application/controllers/admin/database.php Diff File
mod - application/controllers/admin/dataentry.php Diff File
mod - application/controllers/admin/export.php Diff File
mod - application/helpers/admin/import_helper.php Diff File
mod - application/helpers/common_helper.php Diff File
mod - application/views/admin/dataentry/vvimport.php Diff File
mod - application/views/admin/dataentry/vvimport_result.php Diff File
rm - application/views/admin/dataentry/vvimport_upload.php Diff File
rm - application/views/admin/dataentry/warning_header.php Diff File
mod - application/views/admin/export/vv_view.php Diff File
mod - styles/adminstyle.css Diff File

LimeSurvey: 2.05 09116c5e

2013-06-10 09:24:45

DenisChenu

Details Diff
Dev: fix dualscale for vvexport v2 Affected Issues
05740
mod - application/helpers/viewHelper.php Diff File

Issue History

Date Modified Username Field Change
2012-02-01 15:43 user16048 New Issue
2012-02-01 15:43 user16048 File Added: limesurvey_survey_42385.lss
2012-02-01 15:43 user16048 File Added: vvexport_42385.csv
2012-02-01 15:44 user16048 File Added: LimeSurveyMissingResponses.jpg
2012-02-02 02:11 DenisChenu Note Added: 17156
2012-02-02 09:00 user16048 Note Added: 17158
2012-02-02 12:56 Mazi Assigned To => c_schmitz
2012-02-02 12:56 Mazi Status new => assigned
2012-02-02 13:02 Mazi Note Added: 17169
2012-02-06 14:21 c_schmitz Project Bug reports => Development
2012-02-06 14:22 c_schmitz Assigned To c_schmitz =>
2012-02-06 14:22 c_schmitz Status assigned => new
2012-08-14 23:02 c_schmitz Product Version 1.92RC3 =>
2012-08-14 23:02 c_schmitz Summary Import vv file: No responses are imported => Improve VV response import
2012-12-11 16:52 mfaber Note Added: 23149
2013-03-05 16:48 c_schmitz Note Added: 24557
2013-03-05 17:24 DenisChenu Note Added: 24558
2013-03-06 09:32 c_schmitz Note Added: 24563
2013-03-06 11:19 DenisChenu Note Added: 24566
2013-03-06 11:19 DenisChenu Assigned To => DenisChenu
2013-03-06 11:19 DenisChenu Status new => assigned
2013-03-06 11:20 DenisChenu Note Edited: 24566 View Revisions
2013-04-22 10:25 DenisChenu Relationship added related to 07761
2013-05-28 09:29 c_schmitz Target Version => 2.05
2013-05-28 09:29 c_schmitz Note Added: 25400
2013-05-28 12:51 DenisChenu Note Added: 25402
2013-06-04 15:34 mfaber Note Added: 25463
2013-06-04 15:37 DenisChenu Note Added: 25464
2013-06-04 16:14 mfaber Note Added: 25466
2013-06-04 16:15 DenisChenu Note Added: 25467
2013-06-09 19:17 DenisChenu Changeset attached => LimeSurvey 2.05 8ed8bfb0
2013-06-09 19:18 DenisChenu Note Added: 25494
2013-06-09 19:18 DenisChenu Status assigned => resolved
2013-06-09 19:18 DenisChenu Fixed in Version => 2.05
2013-06-09 19:18 DenisChenu Resolution open => fixed
2013-06-09 19:25 DenisChenu Changeset attached => LimeSurvey 2.05 d1113091
2013-06-09 19:25 DenisChenu Note Added: 25495
2013-06-10 11:22 DenisChenu Changeset attached => LimeSurvey 2.05 ba085731
2013-06-10 11:28 DenisChenu Changeset attached => LimeSurvey 2.05 09116c5e
2013-06-10 11:46 DenisChenu Note Added: 25496
2013-06-10 11:46 DenisChenu Status resolved => feedback
2013-06-10 11:46 DenisChenu Resolution fixed => reopened
2013-06-10 11:47 DenisChenu Note Edited: 25496 View Revisions
2013-06-10 11:47 DenisChenu Status feedback => resolved
2013-06-10 11:47 DenisChenu Resolution reopened => fixed
2015-08-21 15:51 c_schmitz Status resolved => closed